Gda.DataProxy – Gda-6.0 Reference Manual

# DataProxy

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_data_proxy_get_type ()" ) ]
public class DataProxy : Object, DataModel
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public bool cache_changes { get; set; }
- public bool defer_sync { get; set; }
- public DataModel model { owned get; set construct; }
- public bool prepend_null_entry { get; set; }
- public int sample_size { get; set construct; }

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- public DataProxy (DataModel model)
- public DataProxy.with_data_model (DataModel model)

### Methods:

- public void @delete (int proxy_row)
- public void alter_value_attributes (int proxy_row, int col, ValueAttribute alter_flags)
- public bool apply_all_changes () throws Error
- public bool apply_row_changes (int proxy_row) throws Error
- public bool cancel_all_changes ()
- public void cancel_row_changes (int proxy_row, int col)
- public unowned string get_filter_expr ()
- public int get_filtered_n_rows ()
- public int get_n_modified_rows ()
- public int get_n_new_rows ()
- public unowned DataModel get_proxied_model ()
- public int get_proxied_model_n_cols ()
- public int get_proxied_model_n_rows ()
- public int get_proxied_model_row (int proxy_row)
- public int get_sample_end ()
- public int get_sample_size ()
- public int get_sample_start ()
- public ValueAttribute get_value_attributes (int proxy_row, int col)
- public SList<unowned Value?> get_values (int proxy_row, int[] cols_index)
- public bool has_changed ()
- public bool is_read_only ()
- public bool row_has_changed (int proxy_row)
- public bool row_is_deleted (int proxy_row)
- public bool row_is_inserted (int proxy_row)
- public bool set_filter_expr (string? filter_expr) throws Error
- public bool set_ordering_column (int col) throws Error
- public void set_sample_size (int sample_size)
- public void set_sample_start (int sample_start)
- public void undelete (int proxy_row)

### Signals:

- public virtual signal void filter_changed ()
- public virtual signal void row_changes_applied (int row, int proxied_row)
- public virtual signal void row_delete_changed (int row, bool to_be_deleted)
- public virtual signal void sample_changed (int sample_start, int sample_end)
- public virtual signal void sample_size_changed (int sample_size)
- public virtual signal Error validate_row_changes (int row, int proxied_row)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Gda.DataModel

- access_changed
- add_data_from_xml_node
- append_row
- append_values
- array_copy_model
- array_copy_model_ext
- changed
- create_iter
- describe_column
- dump
- dump_as_string
- error_quark
- export_to_file
- export_to_string
- freeze

- get_access_flags
- get_attributes_at
- get_column_index
- get_column_name
- get_column_title
- get_exceptions
- get_n_columns
- get_n_rows
- get_notify
- get_row_from_values
- get_typed_value_at
- get_value_at
- import_from_file
- import_from_model
- import_from_string

- iter_move_next_default
- iter_move_prev_default
- iter_move_to_row_default
- remove_row
- reset
- row_inserted
- row_removed
- row_updated
- send_hint
- set_column_name
- set_column_title
- set_value_at
- set_values
- thaw